Package net.sourceforge.jiu.filters

# Class UnsharpMaskKernel

java.lang.Object
net.sourceforge.jiu.filters.ConvolutionKernelData
net.sourceforge.jiu.filters.UnsharpMaskKernel

public class UnsharpMaskKernel extends ConvolutionKernelData
An unsharp mask kernel to be used with `ConvolutionKernelFilter`.

Since:
  0.10.0
Author:
  Marco Schmidt, Niels Donvil

## Constructor Summary

Constructors
Constructor
Description
`UnsharpMaskKernel(int level)`
Creates a new unsharp mask kernel.

## Method Summary

### Methods inherited from class net.sourceforge.jiu.filters.ConvolutionKernelData

`check, getBias, getData, getDiv, getHeight, getName, getWidth, setBias, setData, setDiv, setHeight, setName, setWidth`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnsharpMaskKernel

public UnsharpMaskKernel(int level)
Creates a new unsharp mask kernel.

Parameters:
  `level` - adjusts the amount of 'unsharpness', must be from 1 to 50